Package name
mutt
Date
2001-03-19
Advisory ID
MDKSA-2001:031
Affected versions
CS1.0 i586 , 6.1 i586 , 6.0 i586 , 7.0 i586 , 7.1 i586 , 7.2 i586

Problem description

A format string vulnerability was present in the IMAP code in versions of the mutt email client previous to 1.2.5. This had the effect that a compromised or malicious IMAP server could possibly execute code on the local machine.

Updated packages

CS1.0 i586

 8ca095ea77554edf26988b5e24f8fd91  1.0.1/RPMS/mutt-1.2.5i-5.2mdk.i586.rpm
2b1d687f54b6d214f29a807f6433130c  1.0.1/SRPMS/mutt-1.2.5i-5.2mdk.src.rpm

6.1 i586

 3e8f92384721271cfa1d467ba51d42e2  6.1/RPMS/mutt-1.2.5i-5.3mdk.i586.rpm
c9bcb0daf2429550889a761a53ec5206  6.1/SRPMS/mutt-1.2.5i-5.3mdk.src.rpm

6.0 i586

 5a91c517dfb033c44ccf16326839c973  6.0/RPMS/mutt-1.2.5i-5.3mdk.i586.rpm
c9bcb0daf2429550889a761a53ec5206  6.0/SRPMS/mutt-1.2.5i-5.3mdk.src.rpm

7.0 i586

 586936d27f9adfcb9d344942ae3f02d9  7.0/RPMS/mutt-1.2.5i-5.3mdk.i586.rpm
c9bcb0daf2429550889a761a53ec5206  7.0/SRPMS/mutt-1.2.5i-5.3mdk.src.rpm

7.1 i586

 8ca095ea77554edf26988b5e24f8fd91  7.1/RPMS/mutt-1.2.5i-5.2mdk.i586.rpm
2b1d687f54b6d214f29a807f6433130c  7.1/SRPMS/mutt-1.2.5i-5.2mdk.src.rpm

7.2 i586

 d9dba0a7fc0fff1f1020bbb828b9e4f1  7.2/RPMS/mutt-1.2.5i-5.1mdk.i586.rpm
bd6dcbafebf5c434bd6b0d4478bf487c  7.2/SRPMS/mutt-1.2.5i-5.1mdk.src.rpm